るりまサーチ

最速Rubyリファレンスマニュアル検索!
637件ヒット [1-100件を表示] (0.018秒)
トップページ > クエリ:RuntimeError[x]

別のキーワード

  1. _builtin runtimeerror
  2. fail runtimeerror
  3. raise runtimeerror
  4. open runtimeerror
  5. freeze runtimeerror

モジュール

検索結果

<< 1 2 3 ... > >>

RuntimeError (38016.0)

特定の例外クラスには該当しないエラーが起こったときに発生します。 また Kernel.#raise で例外クラスを指定しなかった場合も RuntimeError が発生します。

...は該当しないエラーが起こったときに発生します。
また Kernel.#raise で例外クラスを指定しなかった場合も
RuntimeError
が発生します。...

WIN32OLERuntimeError (6000.0)

COMインターフェイスエラー時に発生する例外です。

...COMインターフェイスエラー時に発生する例外です。

WIN32OLERuntimeErrorは、OLEオートメーション呼び出しが例外ステータス
(HRESULTのMSBがオン)で返った場合や、メソッド呼び出し時にオートメーショ
ン仕様で認められていな...

制御構造 (36.0)

制御構造 条件分岐: * if * unless * case 繰り返し: * while * until * for * break * next * redo * retry 例外処理: * raise * begin その他: * return * BEGIN * END

..... (d)
iter { p "(b)"; break } # -> (a)..(b)(d)


=== 例外処理

====[a:raise] raise

例:

raise "you lose" # 例外 RuntimeError を発生させる
# 以下の二つは SyntaxError を発生させる
raise SyntaxError, "invalid syntax"
raise...
...の例外を再発生させます。
第二の形式では、引数が文字列であった場合、その文字列をメッセー
ジとする RuntimeError 例外を発生させます。引数が例外
オブジェクトであった場合にはその例外を発生させます。第三の形式
...
...begin
raise "error message"
rescue => evar
p $!
p evar
end
# => #<RuntimeError: error message>
#<RuntimeError: error message>

例外の一致判定は,発生した例外が rescue 節で指定した
クラスのインスタン...

Syslog.#open(ident=$0, options=Syslog::LOG_PID|Syslog::LOG_CONS, facility=Syslog::LOG_USER) -> self (24.0)

与えられた引数でsyslogを開きます。以降、他の Syslog モジュール関数が使 用可能となります。

...Syslog::Constants を参照してください。

@raise RuntimeError syslogを既に開いていた場合はRuntimeErrorが発生します。

@return self を返します。

syslogを既に開いていた場合はRuntimeErrorが発生します。

require 'syslog'

Syslog.open("syslog...
...test")
Syslog.log(Syslog::LOG_WARNING, "the sky is falling in %d seconds!", 100)
begin
Syslog.open("syslogtest2")
rescue RuntimeError => err
puts err #=> "syslog already open"
end

options と facility に指定できる値については
Syslog::Constants を参照してください...

Syslog.#open(ident=$0, options=Syslog::LOG_PID|Syslog::LOG_CONS, facility=Syslog::LOG_USER) { |syslog| ... } -> self (24.0)

与えられた引数でsyslogを開きます。以降、他の Syslog モジュール関数が使 用可能となります。

...Syslog::Constants を参照してください。

@raise RuntimeError syslogを既に開いていた場合はRuntimeErrorが発生します。

@return self を返します。

syslogを既に開いていた場合はRuntimeErrorが発生します。

require 'syslog'

Syslog.open("syslog...
...test")
Syslog.log(Syslog::LOG_WARNING, "the sky is falling in %d seconds!", 100)
begin
Syslog.open("syslogtest2")
rescue RuntimeError => err
puts err #=> "syslog already open"
end

options と facility に指定できる値については
Syslog::Constants を参照してください...

絞り込み条件を変える

TracePoint.new(*events) {|obj| ... } -> TracePoint (24.0)

新しい TracePoint オブジェクトを作成して返します。トレースを有効 にするには TracePoint#enable を実行してください。

...ベントに関連しない情報を取得するメソッドを実行した場合には
RuntimeError
が発生します。

TracePoint.trace(:line) do |tp|
p tp.raised_exception
end
# => RuntimeError: 'raised_exception' not supported by this event

イベントフックの外側で、発...
...トに関連する情報を取得するメソッ
ドを実行した場合には RuntimeError が発生します。

TracePoint.trace(:line) do |tp|
$tp = tp
end
$tp.lineno # => access from outside (RuntimeError)

他のスレッドから参照する事も禁じられています。

@raise...

Kernel.#abort(message = $!.message) -> () (18.0)

Ruby プログラムをエラーメッセージ付きで終了します。終了ステータスは 1 固定です。

... RuntimeError.new
abort
ensure
puts 'end2...'
end
puts 'end' #実行されない

#=> start
# start1...
# end1 with #<SystemExit: error1>
# start2...
# end2...
#終了ステータス:1
#(標準エラー出力)
#=> error1
# ..:12: RuntimeError (RuntimeError...

Kernel.#eval(expr) -> object (18.0)

文字列 expr を Ruby プログラムとして評価してその結果を返しま す。第2引数に Binding オブジェクトを与えた場合、 そのオブジェクトを生成したコンテキストで文字列を評価します。

...a = RUBY_RELEASE_DATE')
p a #=> "2007-03-13"

eval('def fuga;p 777 end')
fuga #=> 777

eval('raise RuntimeError', binding, 'XXX.rb', 4)
#=> XXX.rb:4: RuntimeError (RuntimeError)
# from ..:9

@see Kernel.#binding,Module#module_eval,BasicObject#instance_eval,Object#method,Object#...

Kernel.#eval(expr, bind, fname = "(eval)", lineno = 1) -> object (18.0)

文字列 expr を Ruby プログラムとして評価してその結果を返しま す。第2引数に Binding オブジェクトを与えた場合、 そのオブジェクトを生成したコンテキストで文字列を評価します。

...a = RUBY_RELEASE_DATE')
p a #=> "2007-03-13"

eval('def fuga;p 777 end')
fuga #=> 777

eval('raise RuntimeError', binding, 'XXX.rb', 4)
#=> XXX.rb:4: RuntimeError (RuntimeError)
# from ..:9

@see Kernel.#binding,Module#module_eval,BasicObject#instance_eval,Object#method,Object#...

Kernel.#fail -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

... RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise #=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持った error_type の示す例外(省略時 RuntimeError)を...
...rr
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in ensure.\n"
end

foo(4) #=> in method.i...

絞り込み条件を変える

Kernel.#fail(error_type, message = nil, backtrace = caller(0)) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

... RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise #=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持った error_type の示す例外(省略時 RuntimeError)を...
...rr
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in ensure.\n"
end

foo(4) #=> in method.i...

Kernel.#fail(message) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

... RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise #=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持った error_type の示す例外(省略時 RuntimeError)を...
...rr
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in ensure.\n"
end

foo(4) #=> in method.i...

Kernel.#raise -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

... RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise #=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持った error_type の示す例外(省略時 RuntimeError)を...
...rr
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in ensure.\n"
end

foo(4) #=> in method.i...

Kernel.#raise(error_type, message = nil, backtrace = caller(0)) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

... RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise #=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持った error_type の示す例外(省略時 RuntimeError)を...
...rr
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in ensure.\n"
end

foo(4) #=> in method.i...

Kernel.#raise(message) -> () (18.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

... RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise #=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持った error_type の示す例外(省略時 RuntimeError)を...
...rr
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in ensure.\n"
end

foo(4) #=> in method.i...

絞り込み条件を変える

<< 1 2 3 ... > >>